aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-12-05 17:01:28 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-12-27 06:31:23 +0000
commit25da839f06ce300d48a10f5f107e47e1866a7f35 (patch)
treec04af31425c511f0c25308541d7c66aabeee45c3
parent61f5f1d1d0528dea985b04626bc7f59f885cc450 (diff)
downloadaports-25da839f06ce300d48a10f5f107e47e1866a7f35.tar.gz
aports-25da839f06ce300d48a10f5f107e47e1866a7f35.tar.bz2
aports-25da839f06ce300d48a10f5f107e47e1866a7f35.tar.xz
testing/tanidvr: new aport
http://tanidvr.sourceforge.net - a CLI tool for accessing DVRs and IP cameras based on the proprietary DVR-IP protocol (port 37777/TCP) - a CLI tool for converting .dhav/.dav video files only playable with the proprietary Dahua player
-rw-r--r--testing/tanidvr/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/tanidvr/APKBUILD b/testing/tanidvr/APKBUILD
new file mode 100644
index 0000000000..10fea3d341
--- /dev/null
+++ b/testing/tanidvr/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=tanidvr
+pkgver=1.4.1
+pkgrel=0
+pkgdesc="a CLI tool for accessing DVRs and IP cameras based on the proprietary DVR-IP protocol (port 37777/TCP)"
+url="http://tanidvr.sourceforge.net"
+arch="all"
+license="GPL3"
+depends=
+depends_dev=
+makedepends=
+install=
+subpackages="$pkgname-dhav2mkv"
+source="http://downloads.sourceforge.net/project/$pkgname/TaniDVR/$pkgname-$pkgver/$pkgname-$pkgver.tar.bz2"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+dhav2mkv() {
+ pkgdesc="a CLI tool for converting .dhav/.dav video files only playable with the proprietary Dahua player"
+ install -d "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/dhav2mkv "$subpkgdir"/usr/bin
+}
+
+md5sums="b0acaaa156560676d864d2826f5fcbf8 tanidvr-1.4.1.tar.bz2"
+sha256sums="149b075a60625ca23a96d71b46db6ed42e1b10d08366d6891f569c558de33c47 tanidvr-1.4.1.tar.bz2"
+sha512sums="49d5416a754b9d5ab80ad02d516bf842b8f6eeb69d2bd72f529ade226de573a3fea77774d0467edce5518f2cd02963d6e9c75eceeb42e47af60212184eaf7c39 tanidvr-1.4.1.tar.bz2"